aboutsummaryrefslogtreecommitdiff
path: root/src/fssos-nsvs/nsvsd
diff options
context:
space:
mode:
Diffstat (limited to 'src/fssos-nsvs/nsvsd')
-rwxr-xr-xsrc/fssos-nsvs/nsvsd36
1 files changed, 36 insertions, 0 deletions
diff --git a/src/fssos-nsvs/nsvsd b/src/fssos-nsvs/nsvsd
new file mode 100755
index 0000000..f9b4845
--- /dev/null
+++ b/src/fssos-nsvs/nsvsd
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting nsvsd"
+ /usr/sbin/nsvsd -f /etc/nsvsd.conf
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon nsvsd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping nsvsd"
+ kill `cat /var/run/nsvsd.pid` &>/dev/null
+ rm -f /var/run/nsvsd.pid
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon nsvsd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac